# Watch a blocklist zone, or change how it counts (operator)

`POST /deliverability/blocklists` · Rivier · domains

Watch a blocklist zone, or change how it counts (operator).

- Scope: domains:write
- Graphql: Mutation.domainsDeliverabilityBlocklistSave
- Sdk: domains.deliverabilityBlocklist.save
- Cli: domains deliverability blocklist save

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "zone": {
      "type": "string",
      "minLength": 3,
      "maxLength": 253
    },
    "kind": {
      "type": "string",
      "enum": [
        "ip",
        "domain"
      ]
    },
    "severity": {
      "type": "string",
      "enum": [
        "block",
        "warn"
      ]
    },
    "enabled": {
      "type": "boolean"
    },
    "note": {
      "type": "string",
      "maxLength": 200
    }
  },
  "required": [
    "zone",
    "kind",
    "severity",
    "enabled"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/deliverability/blocklists' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "zone": "string",
  "kind": "ip",
  "severity": "block",
  "enabled": false
}'
```
